package com.backendsys.service.Ai;

import com.backendsys.entity.Ai.AiGenerateVideoDTO;

import java.util.List;
import java.util.Map;

public interface AiGenerateVideoService {

    // 定制成片任务
    Map<String, Object> makeGenerateVideoAndInsert(AiGenerateVideoDTO aiGenerateVideoDTO);

    // 查询成片任务进度/结果
    Map<String, Object> getGenerateVideoProgressAndUpdate(Long job_id, Long user_id);

    // 查询全部配音列表
    List<Map<String, Object>> getGenerateVideoTimbre();

    // 查询我的成片任务列表
    Map<String, Object> queryAiGenerateVideoList(Integer pageNum, Integer pageSize, AiGenerateVideoDTO aiGenerateVideoDTO);

    // 查询我的成片任务详情
    Map<String, Object> queryAiGenerateVideoDetail(AiGenerateVideoDTO aiGenerateVideoDTO);


}
